Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
managed_companies
/
{managed-company-id}
/
drivers
Retrieve Drivers for a Managed Company
curl --request GET \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/managed_companies/{managed-company-id}/drivers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "<string>",
      "last_name": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "schedule_on": true,
      "phone": "<string>",
      "managed": true,
      "labels": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "color": "<string>"
        }
      ],
      "gps_status": {
        "status": "online",
        "last_ping_at": "2023-11-07T05:31:56Z"
      },
      "email": "<string>",
      "external_id": "<string>",
      "time_zone": "America/New_York",
      "additional_equipment": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "equipment_type": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "system": true,
            "external_id": "<string>",
            "accounting_id": "<string>"
          },
          "external_id": "<string>",
          "equipment_id": "<string>",
          "license_number": "<string>",
          "zone": "<string>",
          "accounting_id": "<string>",
          "company_share": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "external_id": "<string>",
            "ticket_match_id": "<string>",
            "sender_company": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "tread_id": "ABC123",
              "legal_name": "<string>",
              "company_type": "hauler"
            },
            "dispatchable": true,
            "schedule_on": true,
            "rate_override": true,
            "expires_at": "2023-11-07T05:31:56Z"
          }
        }
      ],
      "default_additional_equipment": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "external_id": "<string>",
          "equipment_type": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "system": true,
            "external_id": "<string>",
            "accounting_id": "<string>"
          },
          "equipment_id": "<string>",
          "company_share": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "external_id": "<string>",
            "ticket_match_id": "<string>",
            "sender_company": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "tread_id": "ABC123",
              "legal_name": "<string>",
              "company_type": "hauler"
            },
            "dispatchable": true,
            "schedule_on": true,
            "rate_override": true,
            "expires_at": "2023-11-07T05:31:56Z"
          }
        }
      ],
      "company_share": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "external_id": "<string>",
        "ticket_match_id": "<string>",
        "sender_company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "tread_id": "ABC123",
          "legal_name": "<string>",
          "company_type": "hauler"
        },
        "dispatchable": true,
        "schedule_on": true,
        "rate_override": true,
        "expires_at": "2023-11-07T05:31:56Z",
        "default_equipment": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "external_id": "<string>",
          "equipment_type": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "system": true,
            "external_id": "<string>",
            "accounting_id": "<string>"
          },
          "equipment_id": "<string>",
          "company_share": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "external_id": "<string>",
            "ticket_match_id": "<string>",
            "sender_company": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "tread_id": "ABC123",
              "legal_name": "<string>",
              "company_type": "hauler"
            },
            "dispatchable": true,
            "schedule_on": true,
            "rate_override": true,
            "expires_at": "2023-11-07T05:31:56Z"
          }
        }
      },
      "equipment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "equipment_type": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "system": true,
          "external_id": "<string>",
          "accounting_id": "<string>"
        },
        "external_id": "<string>",
        "equipment_id": "<string>",
        "license_number": "<string>",
        "zone": "<string>",
        "accounting_id": "<string>",
        "company_share": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "ticket_match_id": "<string>",
          "sender_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "dispatchable": true,
          "schedule_on": true,
          "rate_override": true,
          "expires_at": "2023-11-07T05:31:56Z"
        }
      },
      "default_equipment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "equipment_type": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "system": true,
          "external_id": "<string>",
          "accounting_id": "<string>"
        },
        "external_id": "<string>",
        "equipment_id": "<string>",
        "license_number": "<string>",
        "zone": "<string>",
        "accounting_id": "<string>",
        "company_share": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "ticket_match_id": "<string>",
          "sender_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "dispatchable": true,
          "schedule_on": true,
          "rate_override": true,
          "expires_at": "2023-11-07T05:31:56Z"
        }
      },
      "company_day_driver_stat": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "day": "2023-12-25",
        "jobs_count": 123
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string
required

Managing Company ID

managed-company-id
string
required

Managed Company ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

filter[dispatchable]
boolean

Filter dispatchable CompanyShareable models

filter[shared]
boolean

Filter shared CompanyShareable models

search[datagrid]
string

Search string for datagrid queries

filter[availability]
boolean

Filter based on record availability based on the date parameter/filter, defaulting to the current day.

filter[expiring]
boolean

Filter based on record expiry. Default is null, which means all records are returned, true will omit non-expiring records, false will omit expiring records.

filter[show_all]
boolean

Show all records. Deprecated in favor of filter[availability]

filter[date]
string<date>

Single Date Filter

filter[auto_add_ons]
boolean

Filter on whether the resource (e.g. Account, User) has associated AutoAddOns

filter[sender_company_types]
array

CompanyType enum filter. See CompanyType enum for accepted values.

Response

OK

data
Driver-Read · object[]
required